import { HashMap } from '@datorama/akita';
/** Get the params from a path */
export declare function getPathParams(path: string): string[];
/**
 * Transform a path based on the params
 * @param path The path with params starting with "/:"
 * @param params A map of id params
 * @example pathWithParams('movies/:movieId/stakeholder/:shId', { movieId, shId })
 */
export declare function pathWithParams(path: string, params: HashMap<string>): string;
